Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2231882 - [abrt] gnome-control-center: gtk_box_remove(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: gtk_box_remove(): gnome-control-center killed by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 39
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2e2fb1f2ff1bd33d7f4bb424216...
Depends On:
Blocks: F39BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2023-08-14 14:25 UTC by Luna Jernberg
Modified: 2023-09-01 20:35 UTC (History)
10 users (show)

Fixed In Version: gnome-control-center-45~rc-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-31 02:57:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: maps (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: limits (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: environ (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: open_fds (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: mountinfo (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: os_info (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: cpuinfo (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: core_backtrace (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: exploitable (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: dso_list (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details
File: backtrace (deleted)
2023-08-14 14:25 UTC, Luna Jernberg
no flags Details

Description Luna Jernberg 2023-08-14 14:25:41 UTC
Version-Release number of selected component:
gnome-control-center-45~beta-1.fc39

Additional info:
reporter:       libreport-2.17.11
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=501cbbbe3a5b43b8b234b695cf573c8f;i=aec;b=b2b9d46afb044e628bf1d3bdcf9005d1;m=9849edd;t=602e2baf525a3;x=2606e8a5f055b5f0
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-3582.scope
rootdir:        /
uid:            1000
kernel:         6.5.0-0.rc5.20230808git14f9643dc90a.37.fc39.x86_64
package:        gnome-control-center-45~beta-1.fc39
runlevel:       N 5
backtrace_rating: 4
crash_function: gtk_box_remove

Truncated backtrace:
Thread no. 1 (51 frames)
 #0 gtk_box_remove at ../gtk/gtkbox.c:674
 #2 update_start_title_buttons at ../src/adw-header-bar.c:294
 #3 update_title_buttons at ../src/adw-header-bar.c:346
 #4 adw_header_bar_root at ../src/adw-header-bar.c:475
 #5 gtk_widget_root at ../gtk/gtkwidget.c:2480
 #6 gtk_widget_reposition_after at ../gtk/gtkwidget.c:6081
 #7 gtk_window_set_titlebar at ../gtk/gtkwindow.c:3107
 #8 gtk_buildable_add_child at ../gtk/gtkbuildable.c:127
 #9 _gtk_builder_add at ../gtk/gtkbuilder.c:1155
 #11 end_element at ../gtk/gtkbuilderparser.c:1983
 #13 proxy_end_element at ../gtk/gtkbuilderparser.c:104
 #14 replay_end_element at ../gtk/gtkbuilderprecompile.c:660
 #15 _gtk_buildable_parser_replay_precompiled at ../gtk/gtkbuilderprecompile.c:742
 #16 gtk_buildable_parse_context_parse at ../gtk/gtkbuilderparser.c:191
 #17 _gtk_builder_parser_parse_buffer at ../gtk/gtkbuilderparser.c:2205
 #18 gtk_builder_extend_with_template at ../gtk/gtkbuilder.c:1521
 #19 gtk_widget_init_template at ../gtk/gtkwidget.c:11196
 #20 cc_add_user_dialog_init at ../panels/user-accounts/cc-add-user-dialog.c:1507
 #21 g_type_create_instance at ../gobject/gtype.c:1997
 #22 g_object_new_internal at ../gobject/gobject.c:2245
 #24 g_object_new_valist at ../gobject/gobject.c:2584
 #26 cc_add_user_dialog_new at ../panels/user-accounts/cc-add-user-dialog.c:1705
 #27 add_user at ../panels/user-accounts/cc-user-panel.c:343
 #28 _g_closure_invoke_va at ../gobject/gclosure.c:895
 #29 signal_emit_valist_unlocked at ../gobject/gsignal.c:3516
 #32 _gtk_marshal_VOID__INT_DOUBLE_DOUBLEv at gtk/gtkmarshalers.c:3688
 #33 _g_closure_invoke_va at ../gobject/gclosure.c:895
 #34 signal_emit_valist_unlocked at ../gobject/gsignal.c:3516
 #37 gtk_gesture_click_end at ../gtk/gtkgestureclick.c:275
 #38 g_cclosure_marshal_VOID__BOXEDv at ../gobject/gmarshal.c:1686
 #39 _g_closure_invoke_va at ../gobject/gclosure.c:895
 #40 signal_emit_valist_unlocked at ../gobject/gsignal.c:3516
 #43 _gtk_gesture_set_recognized at ../gtk/gtkgesture.c:340
 #44 _gtk_gesture_check_recognized at ../gtk/gtkgesture.c:381
 #45 gtk_gesture_handle_event at ../gtk/gtkgesture.c:686
 #46 gtk_gesture_single_handle_event at ../gtk/gtkgesturesingle.c:227
 #47 gtk_event_controller_handle_event at ../gtk/gtkeventcontroller.c:362
 #48 gtk_widget_run_controllers at ../gtk/gtkwidget.c:4581
 #49 _gtk_widget_captured_event at ../gtk/gtkwidget.c:4744
 #50 gtk_propagate_event_internal.isra.0 at ../gtk/gtkmain.c:1915
 #51 gtk_main_do_event at ../gtk/gtkmain.c:1689
 #52 surface_event at ../gtk/gtkwindow.c:4826
 #53 _gdk_marshal_BOOLEAN__POINTERv at gdk/gdkmarshalers.c:302
 #54 gdk_surface_event_marshallerv at ../gdk/gdksurface.c:461
 #55 _g_closure_invoke_va at ../gobject/gclosure.c:895
 #56 signal_emit_valist_unlocked at ../gobject/gsignal.c:3516
 #59 gdk_surface_handle_event.isra.0 at ../gdk/gdksurface.c:2939
 #62 g_main_context_dispatch_unlocked at ../glib/gmain.c:4284
 #63 g_main_context_iterate_unlocked.isra.0 at ../glib/gmain.c:4349
 #64 g_main_context_iteration at ../glib/gmain.c:4414
 #65 g_application_run at ../gio/gapplication.c:2577


Potential duplicate: bug 2229790

Comment 1 Luna Jernberg 2023-08-14 14:25:44 UTC
Created attachment 1983287 [details]
File: proc_pid_status

Comment 2 Luna Jernberg 2023-08-14 14:25:46 UTC
Created attachment 1983288 [details]
File: maps

Comment 3 Luna Jernberg 2023-08-14 14:25:47 UTC
Created attachment 1983289 [details]
File: limits

Comment 4 Luna Jernberg 2023-08-14 14:25:49 UTC
Created attachment 1983290 [details]
File: environ

Comment 5 Luna Jernberg 2023-08-14 14:25:50 UTC
Created attachment 1983291 [details]
File: open_fds

Comment 6 Luna Jernberg 2023-08-14 14:25:51 UTC
Created attachment 1983292 [details]
File: mountinfo

Comment 7 Luna Jernberg 2023-08-14 14:25:52 UTC
Created attachment 1983293 [details]
File: os_info

Comment 8 Luna Jernberg 2023-08-14 14:25:54 UTC
Created attachment 1983294 [details]
File: cpuinfo

Comment 9 Luna Jernberg 2023-08-14 14:25:55 UTC
Created attachment 1983295 [details]
File: core_backtrace

Comment 10 Luna Jernberg 2023-08-14 14:25:56 UTC
Created attachment 1983296 [details]
File: exploitable

Comment 11 Luna Jernberg 2023-08-14 14:25:58 UTC
Created attachment 1983297 [details]
File: dso_list

Comment 12 Luna Jernberg 2023-08-14 14:25:59 UTC
Created attachment 1983298 [details]
File: backtrace

Comment 13 Wanja Sipinski 2023-08-14 15:58:29 UTC
Following the steps of "Login Screen" for the "2023-08-14 Fedora 39 GNOME 45 Desktop and Core Apps" Test Days, Gnome Settings crashes on a fresh Fedora 39 install, setup in a VM in Hyper-V. Unlocking and editing the existing user works, but clicking on "Add User..." causes the crash.


reporter:       libreport-2.17.11
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=1fd9b02e26bb4ed89535b8b919afcaa6;i=e9f;b=142b12e23e2b43bc8cf554870d8c35e6;m=130fc5e5;t=602e3d71ebb0f;x=85755dd7c12236b0
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center display
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2ddisplay\x2dpanel-4317.scope
rootdir:        /
uid:            1000
kernel:         6.5.0-0.rc5.20230808git14f9643dc90a.37.fc39.x86_64
package:        gnome-control-center-45~beta-1.fc39
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-45~beta-1.fc39.x86_64 (Fedora Project) 1692006137
backtrace_rating: 4
crash_function: gtk_box_remove
comment:        Following the steps of "Login Screen" for the "2023-08-14 Fedora 39 GNOME 45 Desktop and Core Apps" Test Days, Gnome Settings crashes on a fresh Fedora 39 install, setup in a VM in Hyper-V. Unlocking and editing the existing user works, but clicking on "Add User..." causes the crash.

Comment 14 Luna Jernberg 2023-08-15 06:08:59 UTC
This has been fixed upstream by Felipe Borges: https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/2604

Comment 15 Felipe Borges 2023-08-15 08:34:23 UTC
I will ship the fix in the next unstable release (45.rc). I might roll a 45.beta.1 sooner if more issues appear that could use more user testing.

Thanks for your bug report!

Comment 16 Geraldo Simião 2023-08-22 18:02:01 UTC
I think we must reopen this since the build with the fix dind't get to the repositories and we're already at Beta freeze status and I'll propose it as BetaFE and Final Blocker, as the criteria https://fedoraproject.org/wiki/Fedora_39_Final_Release_Criteria#Default_application_functionality applies here in this case.

Comment 17 Geraldo Simião 2023-08-22 18:08:23 UTC
Last build tested (still with bug) today, on a updated F39: 
gnome-control-center-filesystem-45~beta-1.fc39.noarch
gnome-control-center-45~beta-1.fc39.x86_64

Comment 18 Adam Williamson 2023-08-22 18:10:06 UTC
Re-opened per Geraldo's comment. We need a downstream bug to propose pushing this through the freeze.

Comment 19 Fedora Blocker Bugs Application 2023-08-22 18:13:54 UTC
Proposed as a Freeze Exception for 39-beta by Fedora user geraldosimiao using the blocker tracking app because:

 Without the fix (already merged uptream but without build on the repos by freeze time) one cannot create a new user on a installed system using the GUI present at gnome control center.

Comment 21 Fedora Update System 2023-08-25 15:06:53 UTC
FEDORA-2023-d494366a40 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d494366a40

Comment 22 Fedora Update System 2023-08-26 02:34:45 UTC
FEDORA-2023-d494366a40 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d494366a40`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d494366a40

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Adam Williamson 2023-08-27 16:27:42 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/1181 , marking accepted.

Comment 24 Fedora Update System 2023-08-30 01:32:36 UTC
FEDORA-2023-45122b156d has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-45122b156d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-45122b156d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 25 Fedora Update System 2023-08-31 02:57:49 UTC
FEDORA-2023-45122b156d has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Geraldo Simião 2023-09-01 20:35:29 UTC
I can confirm the fix works fine on version gnome-control-center-filesystem-45~rc-2.fc39.noarch
gnome-control-center-45~rc-2.fc39.x86_64


Note You need to log in before you can comment on or make changes to this bug.